Name:                auto
Version:             1.4.1
Release:             1
Summary:             A collection of source code generators for Java
License:             ASL 2.0
URL:                 https://github.com/google/auto
Source0:             https://github.com/google/auto/archive/auto-value-%{version}.tar.gz
BuildRequires:       maven-local mvn(com.google.guava:guava:19.0) mvn(com.squareup:javapoet)
BuildRequires:       mvn(org.sonatype.oss:oss-parent:pom:)
BuildArch:           noarch
%description
The Auto sub-projects are a collection of code generators
that automate those types of tasks.

%package common
Summary:             Auto Common Utilities
Obsoletes:           %{name}-factory < %{version}-%{release}
%description common
Common utilities for creating annotation processors.

%package service
Summary:             Provider-configuration files for ServiceLoader
%description service
A configuration/meta-data generator for
java.util.ServiceLoader-style service
providers.

%package value
Summary:             Auto Value
%description value
Immutable value-type code generation for Java 1.6+.

%package javadoc
Summary:             Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n auto-auto-value-%{version}
find -name '*.class' -print -delete
find -name '*.jar' -print -delete
%pom_disable_module factory build-pom.xml
%pom_xpath_set "pom:project/pom:version" 3
for p in common factory service value ;do
%pom_xpath_set "pom:project/pom:version" %{version} ${p}
%pom_xpath_remove "pom:dependency[pom:scope = 'test']" ${p}
done
%pom_remove_plugin org.apache.maven.plugins:maven-checkstyle-plugin
%pom_remove_plugin :maven-shade-plugin value
%pom_remove_plugin :maven-invoker-plugin value
%pom_remove_plugin :maven-invoker-plugin factory
%pom_xpath_set "pom:dependency[pom:artifactId = 'auto-common']/pom:version" %{version} factory service value
%pom_xpath_set "pom:dependency[pom:artifactId = 'auto-service']/pom:version" %{version} factory value
%pom_xpath_set "pom:dependency[pom:artifactId = 'auto-value']/pom:version" %{version} factory
%mvn_package :build-only __noinstall

%build
%mvn_build -sf -- -f build-pom.xml

%install
%mvn_install

%files -f .mfiles-%{name}-parent
%dir %{_javadir}/%{name}
%doc README.md
%license LICENSE.txt

%files common -f .mfiles-%{name}-common
%doc common/README.md
%license LICENSE.txt

%files service -f .mfiles-%{name}-service
%doc service/README.md
%license LICENSE.txt

%files value -f .mfiles-%{name}-value
%doc value/README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Sat Aug 22 2020 wangyue <wangyue92@huawei.com> - 1.4.1-1
- package init
